# Build output
Debug/
Release/
build/

# STM32CubeIDE / Eclipse temporary files
.settings/
.metadata/
.idea/
.vscode/

# Generated binaries / objects
*.o
*.d
*.su
*.elf
*.map
*.list
*.hex
*.bin

# Logs / temp
*.log
*.tmp

# OS files
Thumbs.db
Desktop.ini
.DS_Store

# Python/tool temp if you use scripts
__pycache__/
*.pyc